# About Avalara's AvaTax

Agile, successful companies focus on their core business and outsource complex, administrative functions – such as payroll and sales tax management – to the experts. Avalara can address your sales tax challenges with AvaTax. It’s the fastest, easiest, most accurate and affordable way to calculate sales tax; manage exemption certificates; file returns; and remit payments across multiple tax regions. Our tax decision engine determines rates based on 100,000+ taxability rules in 11,000+ taxing jurisdictions and instantly applies them to each transaction within your Magento shopping cart. 
  
# Support

Contact Avalara for any support requests, either via [their support email](support@avalara.com) or via [this page](https://salestax.avalara.com/contact-us/).

<!-- This list is in each of the documentation files. Ensure any updates are applied to the list in each file. -->
# Documentation

- [Getting Started](docs/getting-started.md)
- Extension Features
  - [Sales Tax](docs/sales-tax.md)
  - [Address Validation](docs/address-validation.md)
  - [Cross-Border](docs/customs-duty-import-tax.md)
  - [Tax Exemption Certificates](docs/document-management.md)
  
# Automated Tests

This extension contains integration tests to verify the extension's functionality. These tests should only need to be run by developers maintaining this extension. Instructions for running tests can be found [here](https://github.com/astoundcommerce/avatax/blob/master/Tests/README.md).

# Magento Version Support

- Magento 2.4.x
  - :white_check_mark: Community
  - :white_check_mark: Enterprise
- Magento 2.3.x
  - :white_check_mark: Community
  - :white_check_mark: Enterprise
- Magento 2.2.x
  - :white_check_mark: Community
  - :white_check_mark: Enterprise
- Magento 2.1.x
  - :white_check_mark: Community
  - :white_check_mark: Enterprise

As of version 1.0.0 of this extension, this extension supports [Magento Enterprise's split database mode](http://devdocs.magento.com/guides/v2.1/config-guide/multi-master/multi-master.html).

Please be aware that due to the complexity and number of third party checkout solutions this extension is only supported when using Magento's native checkout process.

# License

This project is licensed under the Open Software License 3.0 (OSL-3.0). See included LICENSE file for full text of OSL-3.0

